/** @file  rs232.h
 *  @brief RS232 uart
 */
#ifndef RS232_H
#define RS232_H
#include "port.h"


#define BAUD 115200      

#define DIVIDER ((int)(FOSC/(16UL * BAUD) -1))


//========================================================================================
//   RS232
//========================================================================================
void
init232(char debit);

void
tx232(char val);

char 
rx232(void);

void
tx232_puts(const char * s);		// ecrit une string de caracteres sur le port serie


// detection de reception
char
rx232_detc(void);


void
tx232_2ascii(unsigned char car);	// ecrit 2 caracteres ascii 


unsigned char 
hexa2ascii(unsigned char tmp);					// convertit un nombre hexadecimal en ascii

unsigned char 
ascii2hexa(unsigned char tmp);					// convertit un nombre ascii en hexa


#endif
